Subject: Re: Vger broken w.r.t. gdb

From: Paul Mackerras <[email-masked]>
Date: Thu, 29 Jul 1999 15:48:59 +1000

Daniel Jacobowitz <[email-masked]> wrote:

> So my question is, what is at 0x3000c1a8?  It would appear, if I am not
> misreading binfmt_elf.c, to be the program itself in its original
> mmap'd location.  I'm not at all confident of that conclusion, though.

Cat /proc/<pid>/maps while you have the ls process stopped at an
appropriate point.

> So regs->msr is actually from SRR1 of the running program?  Does it
> generally get stuffed back into the MSR when that task is running?

Yep, but the high bits get ignored.

Paul.

[[ This message was sent via the linuxppc-dev mailing list.  Replies are ]]
[[ not  forced  back  to the list, so be sure to Cc linuxppc-dev if your ]]
[[ reply is of general interest. Please check http://lists.linuxppc.org/ ]]
[[ and http://www.linuxppc.org/ for useful information before posting.   ]]